Get a paginated list of estimates
http
GET https://services.leadconnectorhq.com/invoices/estimate/listAuthorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Query parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
altId | string | Yes | 6578278e879ad2646715ba9c | Account Id or Agency Id |
altType | string | Yes | ||
startAt | string | No | 2023-01-01 | startAt in YYYY-MM-DD format |
endAt | string | No | 2023-01-01 | endAt in YYYY-MM-DD format |
search | string | No | Home services estimate | search text for estimates name |
status | string | No | sent | estimate status |
contactId | string | No | AmuzcoPBpgKeccNsFlib | Contact ID for the estimate |
limit | string | Yes | 10 | Limit the number of items to return |
offset | string | Yes | 10 | Number of items to skip |
Responses
200 - Successful response
estimates(string[], required): List of estimatestotal(number, required): Total number of estimatestraceId(string, required): Unique identifier for tracing the request
json
{
"estimates": [
"string"
],
"total": 0,
"traceId": "string"
}400 - Bad Request
json
{}422 - Unprocessable Entity
json
{}Example
curl -X GET 'https://services.leadconnectorhq.com/invoices/estimate/list' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'const response = await fetch('https://services.leadconnectorhq.com/invoices/estimate/list', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/invoices/estimate/list',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/invoices/estimate/list');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);